import { ItemwiseStrategyBasedIndicator } from "./ItemwiseStrategyBasedIndicator";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class MedianPriceIndicator extends ItemwiseStrategyBasedIndicator {
    static $t: Type;
    protected bk(): Series;
    protected get_acr(): ItemwiseIndicatorCalculationStrategy;
    get acr(): ItemwiseIndicatorCalculationStrategy;
    protected get_aci(): Type;
    protected get aci(): Type;
}
